Get a public key
This key management operation allows retrieving the public key of an asymmetric key stored inside the device's secure repository.
where <KID> is a Key ID as a a 32-character hexadecimal string
Get a public key
GET
https://my.ence.do/api/keymgmt/get/{kid}Get a public key from the asymmetric key only.
Path Parameters
| Name | Type | Description |
|---|---|---|
kid* | String | Key ID, 32-character hex string |
Headers
| Name | Type | Description |
|---|---|---|
| Authorization* | String | Bearer JWT_TOKEN |
Response status code
- 200: Operation successful
- 400: Incorrect argument(s)
- 401: Missing or invalid JWT_TOKEN
- 403: Incorrect access scope
- 406: Operation failed
- 409: Incorrect internal state
- 412: Protocol error - CORS validation failed
- 418: TLS connection required
{
"type": "CURVE25519",
"pubkey": "IYBby9t5R6aiQ13CE0RJ7Z0jIMOIXGLN+U9Tebo3/CU=",
"updated": 1647787070
}
No response body.
No response body.
No response body.
No response body.
No response body.
No response body.
No response body.
Response data for successful operation
| Name | Type | Description |
|---|---|---|
pubkey | String | Base64 encoded public key |
type | String | Type of a key |
updated | String | Last update timestamp |
Log entries
| Event | Result | Source |
|---|---|---|
| LOG_TYPE_FAILED_SCOPE_CHECK | LOG_RESULT_FAILED | 403 |